Skip to content

# Authorizenet API Authentication

To authenticate with the Authorizenet API, use these utility functions to provide data to API calls.

terminusgps.authorizenet.auth.get_environment() → str

  Returns the environment for Authorizenet API requests.

  Returns:

    An Authorizenet API environment string.

  Return type:

    `str`

terminusgps.authorizenet.auth.get_merchant_auth() → merchantAuthenticationType

  Returns the merchant authentication information for Authorizenet API requests.

  Returns:

    A merchant authentication object.

  Return type:

    `merchantAuthenticationType`

terminusgps.authorizenet.auth.get_validation_mode() → str

  Returns the validation mode for Authorizenet API requests.

  Returns:

    An Authorizenet API validation string.

  Return type:

    `str`